Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.HiddenInfoSettingData Class Reference

Configuration settings for removing hidden or sensitive data from a PDF document. More...

Inherits SystemIDisposable.

## Public Member Functions
| HiddenInfoSettingData ()
| Constructs a HiddenDataSetting object with all removal options enabled by default.

## Properties
bool | enable_remove_bookmark`[get, set]`
| A boolean value indicating whether to remove bookmarks. More...
bool | enable_remove_comment`[get, set]`
| A boolean value indicating whether to remove comments and annotations. More...
bool | enable_remove_content`[get, set]`
| A boolean value indicating whether to remove invisible or obscured content. More...
bool | enable_remove_fileattachment`[get, set]`
| A boolean value indicating whether to remove embedded file attachments. More...
bool | enable_remove_form_fields`[get, set]`
| A boolean value indicating whether to remove interactive form fields. More...
bool | enable_remove_hidden_layer`[get, set]`
| A boolean value indicating whether to remove hidden layers (Optional Content Groups). More...
bool | enable_remove_hidden_text`[get, set]`
| A boolean value indicating whether to remove hidden text. More...
bool | enable_remove_link`[get, set]`
| A boolean value indicating whether to remove hyperlink annotations. More...
bool | enable_remove_metadata`[get, set]`
| A boolean value indicating whether to remove document metadata. More...
bool | enable_remove_overlaping`[get, set]`
| A boolean value indicating whether to remove overlapping objects. More...
bool | enable_remove_searchIndex`[get, set]`
| A boolean value indicating whether to remove the search index. More...

## Detailed Description

Configuration settings for removing hidden or sensitive data from a PDF document.

## Property Documentation

## ◆ enable_remove_bookmark

bool foxit.pdf.HiddenInfoSettingData.enable_remove_bookmark
| get set

A boolean value indicating whether to remove bookmarks.

Bookmarks are document outlines that may reveal document structure or private section names.

## ◆ enable_remove_comment

bool foxit.pdf.HiddenInfoSettingData.enable_remove_comment
| get set

A boolean value indicating whether to remove comments and annotations.

Comments may contain personal notes, editorial feedback, or private data.

## ◆ enable_remove_content

bool foxit.pdf.HiddenInfoSettingData.enable_remove_content
| get set

A boolean value indicating whether to remove invisible or obscured content.

Includes content fully covered by other elements or outside the visible page area.

## ◆ enable_remove_fileattachment

bool foxit.pdf.HiddenInfoSettingData.enable_remove_fileattachment
| get set

A boolean value indicating whether to remove embedded file attachments.

File attachments may contain hidden or unrelated external content embedded in the PDF.

## ◆ enable_remove_form_fields

bool foxit.pdf.HiddenInfoSettingData.enable_remove_form_fields
| get set

A boolean value indicating whether to remove interactive form fields.

Form fields such as text boxes and checkboxes may store sensitive user input.

## ◆ enable_remove_hidden_layer

bool foxit.pdf.HiddenInfoSettingData.enable_remove_hidden_layer
| get set

A boolean value indicating whether to remove hidden layers (Optional Content Groups).

Hidden layers can contain text or graphics not visible in normal viewing mode.

## ◆ enable_remove_hidden_text

bool foxit.pdf.HiddenInfoSettingData.enable_remove_hidden_text
| get set

A boolean value indicating whether to remove hidden text.

Hidden text may be visually invisible but still accessible through text extraction.

## ◆ enable_remove_link

bool foxit.pdf.HiddenInfoSettingData.enable_remove_link
| get set

A boolean value indicating whether to remove hyperlink annotations.

Links may lead to external sites or reference internal sensitive sections.

## ◆ enable_remove_metadata

bool foxit.pdf.HiddenInfoSettingData.enable_remove_metadata
| get set

A boolean value indicating whether to remove document metadata.

Metadata may contain title, author, keywords, and other hidden descriptive information.

## ◆ enable_remove_overlaping

bool foxit.pdf.HiddenInfoSettingData.enable_remove_overlaping
| get set

A boolean value indicating whether to remove overlapping objects.

Overlapping elements can be used to obscure sensitive content or create misleading visuals.

## ◆ enable_remove_searchIndex

bool foxit.pdf.HiddenInfoSettingData.enable_remove_searchIndex
| get set

A boolean value indicating whether to remove the search index.

Search indexes speed up full-text search but may retain hidden or outdated content.